--
-- Bank of Hagenstedt v1.1
--
-- Copyright (c) MX11 2012-2013
--
-- @author  MX11
--
-- Keine Vernderung ohne meine Erlaubnis!
-- No modification without my permission!
--
-- @date  	20.02.2013


function s(z)
-- Scale
	local scale = 0.60;
    return z * scale;
end;

function sox(x)
    -- Scale & Offset X
	local offsetX = 0.080;
	return s(x) + offsetX;
end;

function soy(y)
-- Scale & Offset Y
	local offsetY = 0.300;
    return s(y) + offsetY;
end;   
 
function renderTextWithShade(x,y, textSize, text)
    setTextColor(0.0, 0.0, 0.0, 1.0);   -- black
    renderText(x, y - (textSize/10), textSize, text);
    setTextColor(1.0, 1.0, 1.0, 1.0);   -- white
    renderText(x, y, textSize, text);
end;

function renderTextWithShadeYellow(x,y, textSize, text)
	setTextBold(true);
    setTextColor(0.0, 0.0, 0.0, 1.0);   -- black
    renderText(x, y - (textSize/10), textSize, text);
	setTextColor(1, 1, 0.55, 0.95); --yellow
    renderText(x, y, textSize, text);
    setTextColor(1.0, 1.0, 1.0, 1.0);   -- white
	setTextBold(false);
end;

function renderTextWithShadeGreen(x,y, textSize, text)
	setTextBold(true);
    setTextColor(0.0, 0.0, 0.0, 1.0);   -- black
    renderText(x, y - (textSize/10), textSize, text);
	setTextColor(0.0, 1.0, 0.0, 0.75); --green
    renderText(x, y, textSize, text);
    setTextColor(1.0, 1.0, 1.0, 1.0);   -- white
	setTextBold(false);
end;

function renderTextWithShadeColor(x,y, textSize, text, r,g,b,t)
	setTextBold(true);
    setTextColor(0.0, 0.0, 0.0, 1.0);   -- black
    renderText(x, y - (textSize/10), textSize, text);
	setTextColor(r,g,b,t); 
    renderText(x, y, textSize, text);
    setTextColor(1.0, 1.0, 1.0, 1.0);   -- white
	setTextBold(false);
end;
